#!/bin/bash
# input params:
# the first parameter is the file path of the json file
# the second parameter is the env name. For example, prod01, prod05 etc

if [ "$#" -ne 3 ]; then
    echo "not enough parameters"
    exit 1
fi

# exit when any command fails
set -e

function finish {
  rm -r temp.tsv
}
trap finish EXIT

aws s3 cp $1 es_data.json
jq -r '[._source.authListType,._source.createTime,._source.createdBy,._source.csrAction,._source.description,._source.entryId,._source.fileId,._id,._source.lastModification,._source.lastUpdatedTime,._source.orgId,._source.sourceType,._source.type,._source.updateVersion,._source.value1,._source.value2] | @tsv' es_data.json > temp.tsv
aws s3 cp temp.tsv s3://$3/orgrepoverride_table/env=$2/orgrepoverride.tsv
